%define upstream_name    Catalyst-Plugin-Unicode-Encoding
%define upstream_version 1.9

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Unicode aware Catalyst
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Catalyst) >= 5.900.150
BuildRequires: perl(Class::Data::Inheritable)
BuildRequires: perl(Encode) >= 2.490.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(HTTP::Status)
BuildRequires: perl(IO::Scalar)
BuildRequires: perl(LWP) >= 5.837.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(URI) >= 1.360.0
BuildArch:  noarch

%description
Catalyst plugin to wite UTF-8 web applications.
On request, it will decodes all params from encoding into a sequence of logical
characters. And it will encodes body into encoding when responding.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.900.0-2.mga4
+ Revision: 526805
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 1.900.0-1.mga4
+ Revision: 438863
- update to 1.9

* Sun Jan 13 2013 umeabot <umeabot> 1.800.0-2.mga3
+ Revision: 364100
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 10 2012 jquelin <jquelin> 1.800.0-1.mga3
+ Revision: 291604
- update to 1.8

* Tue Jun 05 2012 jquelin <jquelin> 1.700.0-1.mga3
+ Revision: 254656
- update to 1.7

* Thu Dec 08 2011 kharec <kharec> 1.300.0-1.mga2
+ Revision: 179095
- update to 1.3

* Fri Oct 14 2011 jquelin <jquelin> 1.200.0-1.mga2
+ Revision: 154831
- adding missing buildrequires:
- update to 1.2

* Wed Jan 26 2011 jquelin <jquelin> 1.100.0-1.mga1
+ Revision: 40316
- mageia rebuild
- imported package perl-Catalyst-Plugin-Unicode-Encoding


* Fri Dec 17 2010 Michael Scherer <misc@mandriva.org> 1.100.0-1mdv2011.0
+ Revision: 622477
- fix missing BuildRequires
- import perl-Catalyst-Plugin-Unicode-Encoding

